PipeWire 1.4.8

Loading...
Searching...
No Matches
JSON to POD
SPA » Utilities

JSON to POD conversion. More...

## Files
file | json-pod.h
| spa/utils/json-pod.h

## Functions
SPA_API_JSON_POD int | spa_json_to_pod_part (struct spa_pod_builder *b, uint32_t flags, uint32_t id, const struct spa_type_info *info, struct spa_json *iter, const char *value, int len)
SPA_API_JSON_POD int | spa_json_to_pod_checked (struct spa_pod_builder *b, uint32_t flags, const struct spa_type_info *info, const char *value, int len, struct spa_error_location *loc)
SPA_API_JSON_POD int | spa_json_to_pod (struct spa_pod_builder *b, uint32_t flags, const struct spa_type_info *info, const char *value, int len)

## Detailed Description

JSON to POD conversion.

## Function Documentation

## ◆ spa_json_to_pod_part()

SPA_API_JSON_POD int spa_json_to_pod_part | ( | struct spa_pod_builder * | b,
|  | uint32_t | flags,
|  | uint32_t | id,
|  | const struct spa_type_info * | info,
|  | struct spa_json * | iter,
|  | const char * | value,
|  | int | len )

## ◆ spa_json_to_pod_checked()

SPA_API_JSON_POD int spa_json_to_pod_checked | ( | struct spa_pod_builder * | b,
|  | uint32_t | flags,
|  | const struct spa_type_info * | info,
|  | const char * | value,
|  | int | len,
|  | struct spa_error_location * | loc )

## ◆ spa_json_to_pod()

SPA_API_JSON_POD int spa_json_to_pod | ( | struct spa_pod_builder * | b,
|  | uint32_t | flags,
|  | const struct spa_type_info * | info,
|  | const char * | value,
|  | int | len )